public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Justin Lecher" <jlec@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/testfixtures/
Date: Sun, 20 Sep 2015 09:33:47 +0000 (UTC)	[thread overview]
Message-ID: <1442741624.8b64f5e1fc563b23c2dbbfee00accffd604473ab.jlec@gentoo> (raw)

commit:     8b64f5e1fc563b23c2dbbfee00accffd604473ab
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Sun Sep 20 09:04:38 2015 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Sun Sep 20 09:33:44 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8b64f5e1

dev-python/testfixtures: Version Bump

Package-Manager: portage-2.2.20.1
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>

 dev-python/testfixtures/Manifest                  |  1 +
 dev-python/testfixtures/testfixtures-4.3.3.ebuild | 59 +++++++++++++++++++++++
 2 files changed, 60 insertions(+)

diff --git a/dev-python/testfixtures/Manifest b/dev-python/testfixtures/Manifest
index 38267a5..59d16d7 100644
--- a/dev-python/testfixtures/Manifest
+++ b/dev-python/testfixtures/Manifest
@@ -1,3 +1,4 @@
 DIST testfixtures-3.0.0.tar.gz 75303 SHA256 20e82e23ffc39bd7d55317f2e87e49aa33ac15142f2bd38fedde696ccaa9469f SHA512 9bc7e30cad6a0c932f23de49f9aff099cb4de824f20b4f98bf1fb4a7313d7ac8d763f7c8208bc0f5351dcd899daa3d2fbc18cdc2143c1b65cefbe0f3ba29df0c WHIRLPOOL 5d51daa288f0c31ce0547815b15f7242df4d3309f2c0845cfa36241ba6d16b151caa1924977a35ae9753c1243724d1aac74cda2b7f5e64e981c378fa6696a512
 DIST testfixtures-4.1.1.tar.gz 81356 SHA256 c61b13fd9cac0313e2aafd565a007860d83b218a138117ac421368d2896bc215 SHA512 08785961560218c3a06043158af8364b46b850c159a82e5fd05ccd88133786aed1a0ec9038ef0c0e36430853559e29fefca8f6bfee1b942730010cd3fb8e9ae4 WHIRLPOOL be548f4fa3bf9428cf683d229c9c4569ba2028a05aa284d803a282af293999fd38565f2b9701751c8f84d57faea6efd3a9e1e5ee5375b719957fe6dc7c4cbdf5
 DIST testfixtures-4.1.2.tar.gz 81689 SHA256 bc27063ac9bce80ac99fe315f2b34053b113ca420b6bbbaf0c19c49c09bb286a SHA512 bf5171b1e1918e88dd887a7dbca6c340e1c197224135e4080551d1830187aa868e53d8302751059da478e2452b1f68a49ae5fba206e48fec554e6d5f237ee5a4 WHIRLPOOL 8d10fb590bb31ff4b5f24f941c41349ac606d91bf62679f70356cddfbdedb7b64f9addca1a419432987a78ebd520ae5b7ce5ddfb043f6452c3e364f266854ed8
+DIST testfixtures-4.3.3.tar.gz 86546 SHA256 ffe66d08ef2fdc0be5e6abe1e1d51384ae941747d3df86d5d8238014b9161f62 SHA512 918fd757c61e4f8b7aa54343036546efab8c014fdaaed1dc5edf6a4b0c636e00396a0400b87a28f0ae43cd318590bf63ff8240e59781f7e183fdd4ebbdac7100 WHIRLPOOL 7d4f2e75c39f8a8ac39cfc577515d9b5b11540b8337f63cb51d75250191d7bcea1d79515b581cb921c7dc273d781c264990118f7ee1cc5579ebd9341097546bf

diff --git a/dev-python/testfixtures/testfixtures-4.3.3.ebuild b/dev-python/testfixtures/testfixtures-4.3.3.ebuild
new file mode 100644
index 0000000..aa87610
--- /dev/null
+++ b/dev-python/testfixtures/testfixtures-4.3.3.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python{2_7,3_3,3_4} )
+
+inherit distutils-r1
+
+DESCRIPTION="A collection of helpers and mock objects for unit tests and doc tests"
+HOMEPAGE="https://pypi.python.org/pypi/testfixtures/ https://github.com/Simplistix/testfixtures"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+LICENSE="MIT"
+SLOT="0"
+
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc test"
+
+DEPEND="
+	dev-python/setuptools[${PYTHON_USEDEP}]
+	doc? (
+		dev-python/sphinx[${PYTHON_USEDEP}]
+		$(python_gen_cond_dep 'dev-python/pkginfo[${PYTHON_USEDEP}]' python2_7 pypy )
+	)
+	test? (
+		dev-python/manuel[${PYTHON_USEDEP}]
+		dev-python/nose[${PYTHON_USEDEP}]
+		dev-python/nose-cover3[${PYTHON_USEDEP}]
+		dev-python/nose_fixes[${PYTHON_USEDEP}]
+		$(python_gen_cond_dep 'dev-python/mock[${PYTHON_USEDEP}]' python2_7)
+	)"
+
+python_prepare_all() {
+	# Makefile comes set pointing at a wrong location
+	sed -e 's:../bin/sphinx-build:/usr/bin/sphinx-build:' -i docs/Makefile || die
+	# Prevent un-needed download during build, fix Makefile for doc build
+	sed -e '/'sphinx.ext.intersphinx'/d' -i docs/conf.py || die
+	distutils-r1_python_prepare_all
+}
+
+python_prepare() {
+	# remove test that tests the stripped zope-component test_components.ComponentsTests
+	rm -f testfixtures/tests/test_components.py || die
+
+	distutils-r1_python_prepare
+}
+
+python_compile_all() {
+	use doc && emake -C docs html
+}
+
+python_test() {
+	nosetests || die
+}
+
+python_install_all() {
+	use doc && HTML_DOCS=( docs/_build/html/. )
+	distutils-r1_python_install_all
+}


             reply	other threads:[~2015-09-20  9:33 UTC|newest]

Thread overview: 90+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2015-09-20  9:33 Justin Lecher [this message]
  -- strict thread matches above, loose matches on Subject: below --
2015-11-03 17:21 [gentoo-commits] repo/gentoo:master commit in: dev-python/testfixtures/ Justin Lecher
2015-12-05 16:41 Justin Lecher
2015-12-13 14:05 Justin Lecher
2016-02-24  9:23 Justin Lecher
2016-05-29 14:19 Pacho Ramos
2016-10-11 17:09 Patrice Clement
2018-06-24 17:24 Pacho Ramos
2019-05-08 14:41 Virgil Dupras
2020-01-25 20:54 Michał Górny
2020-03-08 14:29 Michał Górny
2020-03-29 10:13 Michał Górny
2020-04-21  8:08 Michał Górny
2020-05-04 12:24 Michał Górny
2020-05-04 13:58 Michał Górny
2020-05-11 17:48 Michał Górny
2020-07-06 19:15 Michał Górny
2020-07-07 15:30 Michał Górny
2020-09-05  6:08 Michał Górny
2020-10-09  7:15 Michał Górny
2020-10-21 22:51 Michał Górny
2020-11-18  9:12 Michał Górny
2020-12-11 21:55 Sam James
2020-12-16 17:18 Michał Górny
2021-01-13 19:34 Sam James
2021-01-13 20:16 Michał Górny
2021-01-14 21:30 Michał Górny
2021-01-18 17:43 Sam James
2021-01-18 19:13 Michał Górny
2021-02-22 13:28 Sam James
2021-03-02  4:39 Sam James
2021-03-02  8:53 Michał Górny
2021-03-05 19:26 Sam James
2021-06-22 19:11 Marek Szuba
2021-07-15 17:50 Michał Górny
2021-07-16  6:12 Michał Górny
2021-08-16  5:13 Agostino Sarubbo
2021-08-16  6:19 Michał Górny
2021-08-21  8:01 Michał Górny
2021-09-21 19:11 Michał Górny
2021-09-25 19:56 Sam James
2021-09-25 22:14 Michał Górny
2021-09-29 21:59 Michał Górny
2021-10-31 17:55 Sam James
2021-10-31 20:09 Arthur Zamarin
2022-02-25 23:41 Michał Górny
2022-03-09 20:29 Arthur Zamarin
2022-03-31 13:55 Jakov Smolić
2022-07-06 19:18 Arthur Zamarin
2022-08-09  4:00 Arthur Zamarin
2022-08-09  6:31 Michał Górny
2022-11-04  8:39 Arthur Zamarin
2022-11-05 14:43 Arthur Zamarin
2022-11-09  6:53 Sam James
2022-12-10  9:05 Arthur Zamarin
2022-12-10  9:09 Michał Górny
2023-02-08 17:36 Michał Górny
2023-03-11  9:03 Arthur Zamarin
2023-03-11 10:02 Michał Górny
2023-07-23 15:14 Michał Górny
2023-07-23 18:34 Michał Górny
2023-09-15 10:11 Michał Górny
2023-10-18  9:02 Sam James
2023-10-18 15:50 Michał Górny
2023-10-20 12:26 Michał Górny
2023-11-22 11:11 Sam James
2023-11-22 12:03 Michał Górny
2024-02-17  6:10 Michał Górny
2024-03-01 18:33 Michał Górny
2024-03-02  9:59 Arthur Zamarin
2024-03-02 11:44 Michał Górny
2024-03-15 13:15 Michał Górny
2024-03-15 13:15 Michał Górny
2024-03-30 13:59 Michał Górny
2024-03-30 14:14 Michał Górny
2024-04-18 16:16 Arthur Zamarin
2024-04-18 16:17 Arthur Zamarin
2024-04-18 16:17 Arthur Zamarin
2024-04-19  6:39 Ionen Wolkens
2024-05-02  2:00 Michał Górny
2024-05-17  8:31 Arthur Zamarin
2024-05-17  9:49 Michał Górny
2024-06-08  5:06 Michał Górny
2024-06-19 17:21 Michał Górny
2024-06-22 13:48 Arthur Zamarin
2024-06-22 15:01 Michał Górny
2024-06-30 14:11 Michał Górny
2024-08-29  5:10 Jakov Smolić
2024-08-29  6:34 Jakov Smolić
2024-08-29  6:34 Jakov Smolić

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1442741624.8b64f5e1fc563b23c2dbbfee00accffd604473ab.jlec@gentoo \
    --to=jlec@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox